// defines the epulsar (lightning gun) weapon
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

//(this currently causes 'unrecognized preprocessor directive' warnings, until implemented)
#ifndef INCLUDED_EPULSAR_GSH
#define INCLUDED_EPULSAR_GSH

////////////////////////////////////////////////////////////////////////////////////

projectile Prj_Epulsar_Beam
{
	gravity		no // is this missile affected by gravity
	damage		12 // in strength points
	blast		2 // proximity damage (not yet supported)
	max range	784
	sound		epulsar sound
}

pgenerator Pgn_Epulsar_Beam
{
	type shot
	life infinite // well actually until the shot no longer exists
	generategenerators	 yes
	rate 60
	// stream direction
	x 0 y 0 z 0
	// particle colour
	red 1 green 1 blue 1 alpha 0.5
	// scale
	start scale 0.15 end scale 0.0
}

role Rol_Epulsar_Beam : Rol_DefaultProjectile
{
	projectile	Prj_Epulsar_Beam

	//pgen		Pgn_Epulsar_Beam

	limit		2				// lightning beam
}

// EPULSAR
ammo
{
	weapon type		epulsar
	ammo type		energy cells

	round time		0.1
	reload time		1
	life timer		0
	magazine size	20
	sound			epulsar sound

	file			"User Interface/CommWheel01.RIF"	// command wheel icon
	name			"sub ammo grenade ra"

	projectile		Rol_Epulsar_Beam // what it fires
	firing speed	50 // m/s
}

////////////////////////////////////////////////////////////////////////////////////

shape Shp_Epulsar_Pickup
{
	file "objects\EPULSAR DISC PICKUP A.rif"
	name "EPULSAR DISC PICKUP A"
}

hierarchy Hcy_Epulsar_Inventory_Pickup
{
	file "objects\EPULSAR DISC.rif"				// TBD
	name "EPULSAR DISC"							// TBD
	hotspot none
}

character Chr_Epulsar_Pickup : Chr_Default
{
	turning speed   0	// this is in revolutions per second
	walking speed   0	// this is in animation cycles per second
	weapon			epulsar
	strength        10	// initial strength points
	aim				0
	aggression		0.41	// 4 = weapon pickup
}

role Rol_Epulsar_Pickup : Rol_DefaultPickup
{
	shape			Shp_Epulsar_Pickup

	inventory shape	Hcy_Epulsar_Inventory_Pickup

	character		Chr_Epulsar_Pickup

	identifier		"epulsar"

	destructibility	Des_Explode

	armour			25

	description		epulsar description

	pickup name		epulsar pickup

	limit			10
}

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_EPULSAR_GSH